//
//  PopoverItemView.swift
//  MobilePortal
//
//  Created by caiyang on 2020/4/5.
//  Copyright © 2020 yin chen. All rights reserved.
//

import UIKit

class PopoverItemView: UIView {
    var xinfo = PopoverTableViewCellModel()
//    var title:String? {
//        didSet {
//            self.label.text = title
//        }
//    }
//    var imageName:String?{
//        didSet {
//            self.ribbonItemImageView.image = UIImage.init(named: imageName!)
//        }
//    }
    var block:selectBlock!
    
    lazy var titleLabel: UILabel = {
        let titleLabel = UILabel.init()
        titleLabel.textAlignment = .center
        //        titleLabel.font = UIFont.systemFont(ofSize: 15)
        titleLabel.numberOfLines = 0
        titleLabel.font = UIFont.systemFont(ofSize: 13.33)
        //        titleLabel.backgroundColor = UIColor.red
        titleLabel.textColor = UIColorFromRGB(rgbValue: 0x424C52)
        return titleLabel
    }()
    lazy var subImageView: UIImageView = {
        let subImageView = UIImageView.init()
        subImageView.contentMode = .scaleAspectFill
        subImageView.clipsToBounds = true
        return subImageView
    }()

    override init(frame: CGRect) {
        super.init(frame: frame)
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
}
